MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027579Open CASCADE[OCCT] OCCT:Visualizationpublic2016-06-08 12:322016-12-09 16:37
Reporterisk 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027579: Visualization, TKOpenGl - skip FSAA flag within Path Tracing
DescriptionIf both Graphic3d_RenderingParams::IsGlobalIlluminationEnabled and Graphic3d_RenderingParams::IsAntialiasingEnabled are enabled ray-trace program doesn't work after 0027337
(FSAA option is not intended to be used with Path Tracing and would not be useful even if implemented).
Steps To Reproducenone
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027337closedabv [Regression vs. 6.9.1] Selection highlight is poor in ray traced mode with FSAA 

-  Notes
(0054788)
git (administrator)
2016-06-08 13:24

Branch CR27579 has been created by isk.

SHA-1: d8d29d8fe030cfecaa1b9072e60ff060d18e6606


Detailed log of new commits:

Author: isk
Date: Wed Jun 8 13:22:20 2016 +0300

    0027579: Visualization, Path Tracing - disable antialiasing parameter for path tracing.
(0054795)
git (administrator)
2016-06-08 14:32

Branch CR27579 has been updated forcibly by isk.

SHA-1: 7b33b0b1f95fafb103c8ba4b9f2d6e2987774a7b
(0054796)
git (administrator)
2016-06-08 14:33

Branch CR27579 has been updated forcibly by isk.

SHA-1: 86ab056e42b096b7e00557c70314eae9afcaa610
(0054797)
isk (developer)
2016-06-08 14:35

Dear Kirill,
Please review the branch CR27579.
(0054798)
kgv (developer)
2016-06-08 14:42

Please take the patch, regression testing is not needed.
(0054823)
mkv (tester)
2016-06-08 18:18

Dear BugMaster,
Branch CR27579 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 86ab056e42b096b7e00557c70314eae9afcaa610

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 72 (72 on master)
Windows: 4 (4 on master)
MacOS : 1143
(0054824)
mkv (tester)
2016-06-08 18:18

Dear BugMaster,
Branch CR27579 is TESTED.
(0055147)
git (administrator)
2016-06-17 12:14

Branch CR27579 has been deleted by inv.

SHA-1: 86ab056e42b096b7e00557c70314eae9afcaa610

- Related Changesets
occt: master 473cddc1
Timestamp: 2016-06-08 11:33:49
Author: isk
Committer: bugmaster
Details ] Diff ]
0027579: Visualization, TKOpenGl - skip FSAA flag within Path Tracing
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-06-08 12:32 isk New Issue
2016-06-08 12:32 isk Assigned To => isk
2016-06-08 13:24 git Note Added: 0054788
2016-06-08 13:26 isk Summary Visualization, Path Tracing - disable antialiasing parameter for path tracing. => Visualization, Path Tracing - disable FSAA for path tracing.
2016-06-08 13:44 kgv Relationship added related to 0027337
2016-06-08 13:44 kgv Product Version => 7.0.0
2016-06-08 13:55 kgv Summary Visualization, Path Tracing - disable FSAA for path tracing. => Visualization, TKOpenGl - skip FSAA flag within Path Tracing
2016-06-08 13:55 kgv Description Updated View Revisions
2016-06-08 13:56 kgv Description Updated View Revisions
2016-06-08 14:29 isk Status new => assigned
2016-06-08 14:32 git Note Added: 0054795
2016-06-08 14:33 git Note Added: 0054796
2016-06-08 14:35 isk Note Added: 0054797
2016-06-08 14:35 isk Assigned To isk => kgv
2016-06-08 14:35 isk Status assigned => resolved
2016-06-08 14:35 isk Steps to Reproduce Updated View Revisions
2016-06-08 14:42 kgv Note Added: 0054798
2016-06-08 14:42 kgv Assigned To kgv => bugmaster
2016-06-08 14:42 kgv Severity minor => trivial
2016-06-08 14:42 kgv Status resolved => reviewed
2016-06-08 14:45 mkv Assigned To bugmaster => mkv
2016-06-08 18:18 mkv Note Added: 0054823
2016-06-08 18:18 mkv Test case number => Not needed
2016-06-08 18:18 mkv Note Added: 0054824
2016-06-08 18:18 mkv Assigned To mkv => bugmaster
2016-06-08 18:18 mkv Status reviewed => tested
2016-06-10 13:12 bugmaster Changeset attached => occt master 473cddc1
2016-06-10 13:12 bugmaster Status tested => verified
2016-06-10 13:12 bugmaster Resolution open => fixed
2016-06-17 12:14 git Note Added: 0055147
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker